package net.northking.cctp.executePlan.dto.planBatch;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>Title: AppBaseInfoDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/10/18 16:28
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */
public class AppBaseInfoDto implements Serializable {

    /**
     * app名称
     */
    @ApiModelProperty("app名称")
    private String appName;
    /**
     * app版本
     */
    @ApiModelProperty("app版本")
    private String appVersion;
    /**
     * 包名
     */
    @ApiModelProperty("包名")
    private String appPackage;
    /**
     * 渠道名称
     */
    @ApiModelProperty("渠道名称")
    private String channelName;
    /**
     * app版本备注
     */
    @ApiModelProperty("app版本备注")
    private String versionDesc;

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getAppVersion() {
        return appVersion;
    }

    public void setAppVersion(String appVersion) {
        this.appVersion = appVersion;
    }

    public String getAppPackage() {
        return appPackage;
    }

    public void setAppPackage(String appPackage) {
        this.appPackage = appPackage;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public String getVersionDesc() {
        return versionDesc;
    }

    public void setVersionDesc(String versionDesc) {
        this.versionDesc = versionDesc;
    }
}
